Bug 1015076 - Wrong arguments position in "neutron firewall-update" command [NEEDINFO]
Wrong arguments position in "neutron firewall-update" command
Status: CLOSED UPSTREAM
Product: RDO
Classification: Community
Component: openstack-neutron (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: RHOS Maint
Ofer Blaut
network
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 08:23 EDT by Rami Vaknin
Modified: 2016-04-26 10:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-12 01:58:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lars: needinfo? (rvaknin)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1279210 None None None Never

  None (edit)
Description Rami Vaknin 2013-10-03 08:23:59 EDT
Version
=======
rdo-havana on rhel6.4
openstack-neutron-2013.2-0.4.b3.el6


Description
===========
The FIREWALL argument of "neutron firewall-update" should be the first argument in order to get the command successful, altough the help page mention that the FIREWALL argument should be the last argument.


Scenario 1
==========
# neutron firewall-show firewall_admin
+--------------------+--------------------------------------+
| Field              | Value                                |
+--------------------+--------------------------------------+
| admin_state_up     | True                                 |
| description        |                                      |
| firewall_policy_id | 3d723253-d7f6-4481-8f06-254007fd5f79 |
| id                 | 72c782b2-2838-4773-b736-aa79564ac2ef |
| name               | firewall_admin                       |
| status             | ACTIVE                               |
| tenant_id          | 3384a1b666ac473b98dabcc385161a20     |
+--------------------+--------------------------------------+

# neutron firewall-update 
usage: neutron firewall-update [-h] [--request-format {json,xml}] FIREWALL
neutron firewall-update: error: too few arguments

# neutron firewall-update --admin_state_up False 72c782b2-2838-4773-b736-aa79564ac2ef
Unable to find firewall with name 'False'

# neutron firewall-update 72c782b2-2838-4773-b736-aa79564ac2ef --admin_state_up False
Updated firewall: 72c782b2-2838-4773-b736-aa79564ac2ef

[root@puma10 ~(keystone_admin)]# neutron firewall-show firewall_admin
+--------------------+--------------------------------------+
| Field              | Value                                |
+--------------------+--------------------------------------+
| admin_state_up     | False                                |
| description        |                                      |
| firewall_policy_id | 3d723253-d7f6-4481-8f06-254007fd5f79 |
| id                 | 72c782b2-2838-4773-b736-aa79564ac2ef |
| name               | firewall_admin                       |
| status             | ACTIVE                               |
| tenant_id          | 3384a1b666ac473b98dabcc385161a20     |
+--------------------+--------------------------------------+


scenario 2
==========
# neutron firewall-show 72c782b2-2838-4773-b736-aa79564ac2ef
neu+--------------------+--------------------------------------+
| Field              | Value                                |
+--------------------+--------------------------------------+
| admin_state_up     | False                                |
| description        |                                      |
| firewall_policy_id | 3d723253-d7f6-4481-8f06-254007fd5f79 |
| id                 | 72c782b2-2838-4773-b736-aa79564ac2ef |
| name               | firewall_admin                       |
| status             | ACTIVE                               |
| tenant_id          | 3384a1b666ac473b98dabcc385161a20     |
+--------------------+--------------------------------------+

# neutron firewall-update --admin_state_up True 72c782b2-2838-4773-b736-aa79564ac2ef
Unable to find firewall with name 'True'

# neutron firewall-update 72c782b2-2838-4773-b736-aa79564ac2ef --admin_state_up True
Updated firewall: 72c782b2-2838-4773-b736-aa79564ac2ef

# neutron firewall-show 72c782b2-2838-4773-b736-aa79564ac2ef
+--------------------+--------------------------------------+
| Field              | Value                                |
+--------------------+--------------------------------------+
| admin_state_up     | True                                 |
| description        |                                      |
| firewall_policy_id | 3d723253-d7f6-4481-8f06-254007fd5f79 |
| id                 | 72c782b2-2838-4773-b736-aa79564ac2ef |
| name               | firewall_admin                       |
| status             | ACTIVE                               |
| tenant_id          | 3384a1b666ac473b98dabcc385161a20     |
+--------------------+--------------------------------------+
Comment 1 Rami Vaknin 2013-10-03 10:30:55 EDT
Note that the "--admin_state_down" option is not available in "neutron firewall-update" (although it does exist in "neutron firewall-create"):

# neutron firewall-update --admin_state_down 8f4ac76b-6786-4bc4-a4c8-9e23731f2675
Unrecognized attribute(s) 'admin_state_down'

# neutron firewall-update 8f4ac76b-6786-4bc4-a4c8-9e23731f2675 --admin_state_down 
Unrecognized attribute(s) 'admin_state_down'
Comment 3 Lars Kellogg-Stedman 2014-01-15 11:01:18 EST
Hi, please report this issue upstream, and link the respective Launchpad bug as external tracker, and close this bug as UPSTREAM.
Comment 4 Ofer Blaut 2014-02-11 00:15:43 EST
The bug should be opened upstream, no relate to the fact account has been closed

Note You need to log in before you can comment on or make changes to this bug.